package com.caimei.service.search.impl;

import com.caimei.entity.CmMallOrganizeProducts;
import com.caimei.entity.CmMallProductLadderPrice;
import com.caimei.entity.CmMallProductSearchHistory;
import com.caimei.mapper.search.SearchMapper;
import com.caimei.service.search.SearchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class SearchServiceImpl implements SearchService {
    @Autowired
    private SearchMapper searchMapper;

    @Override
    public List<CmMallOrganizeProducts> searchProduct(Integer organizeID, String searchWord) {
        List<CmMallOrganizeProducts> productsList = searchMapper.searchProduct(organizeID, searchWord);
        return productsList;
    }

    @Override
    public void deleteProductRecord(Integer organizeID, String openID) {
        searchMapper.deleteProductRecord(organizeID, openID);
    }

    @Override
    public void saveProductRecord(Integer organizeID, String searchWord, String openID) {
        CmMallProductSearchHistory productSearchHistory = new CmMallProductSearchHistory();
        productSearchHistory.setOpenID(openID);
        productSearchHistory.setDelFlag("0");
        productSearchHistory.setOrganizeID(organizeID);
        productSearchHistory.setSearchDate(new Date());
        productSearchHistory.setSearchWord(searchWord);
        searchMapper.saveProductRecord(productSearchHistory);
    }

    @Override
    public List<CmMallProductSearchHistory> findProductRecord(Integer organizeID, String openID) {
        return searchMapper.findProductRecord(organizeID, openID);
    }

    @Override
    public CmMallProductLadderPrice findLadderPrice(Integer id) {
        return searchMapper.findLadderPrice(id);
    }
}
